<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:paddingRight="16dp"
    android:paddingBottom="16dp">

    <com.gh.common.view.GameIconView
        android:id="@+id/gameIcon"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="6dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/deleteIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginLeft="10dp"
        android:src="@drawable/ic_choose_game_del"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/gameNameTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="2dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/text_title"
        android:textStyle="bold"
        app:layout_constraintStart_toEndOf="@+id/gameIcon"
        app:layout_constraintTop_toTopOf="@+id/gameIcon"
        tools:text="御龙正版授权" />

    <TextView
        android:id="@+id/ratingScoreTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="6dp"
        android:includeFontPadding="false"
        android:text="选择推荐指数："
        android:textColor="@color/text_subtitleDesc"
        android:textSize="@dimen/tag_text_size"
        app:layout_constraintStart_toEndOf="@+id/gameIcon"
        app:layout_constraintTop_toBottomOf="@+id/gameNameTv" />

    <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
        android:id="@+id/ratingScore"
        style="@style/Widget.MaterialRatingBar.RatingBar"
        android:layout_width="132dp"
        android:layout_height="20dp"
        android:layout_gravity="center_vertical"
        android:layout_marginLeft="9dp"
        android:isIndicator="false"
        android:rating="5"
        android:stepSize="1"
        app:layout_constraintBottom_toBottomOf="@+id/gameIcon"
        app:layout_constraintStart_toEndOf="@+id/gameIcon"
        app:mrb_progressBackgroundTint="@color/text_dddddd"
        app:mrb_progressTint="@color/theme"
        app:mrb_secondaryProgressTint="@color/text_dddddd" />

    <ImageView
        android:id="@+id/dragView"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:src="@drawable/ic_choose_games_drag"
        app:layout_constraintBottom_toBottomOf="@+id/ratingScore"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/gameNameTv" />

    <ImageView
        android:id="@+id/topView"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginRight="14dp"
        android:src="@drawable/ic_choose_games_top"
        app:layout_constraintBottom_toBottomOf="@+id/ratingScore"
        app:layout_constraintEnd_toStartOf="@+id/dragView"
        app:layout_constraintTop_toTopOf="@+id/gameNameTv" />

    <LinearLayout
        android:id="@+id/recommendContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/bg_shape_f5_radius_6"
        android:orientation="vertical"
        android:paddingLeft="12dp"
        android:paddingTop="16dp"
        android:paddingRight="12dp"
        android:paddingBottom="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/gameIcon">

        <EditText
            android:id="@+id/recommendReasonEt"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@null"
            android:gravity="top|left"
            android:hint="填写你的推荐理由（45个字以内）"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>